### Hierarchy

- QueryWindowController

## Index

### Properties

- animate
- collapsed
- currentResult
- desktop
- draggableContainment
- element_
- feature
- features_
- filename_
- highlightFeatures_
- isLoading
- isNext
- ngeoCsvDownload_
- ngeoMapQuerent_
- ngeoQueryResult
- open
- options
- selectedSource
- source

### Methods

- $onInit
- animate_
- clear
- close
- collectFeatures_
- downloadCSV
- getCSVData_
- getCSVHeaderDefinition_
- getFeatureValues
- getResultLength
- highlightCurrentFeature_
- isFirst
- isLast
- next
- previous
- setCurrentResult_
- setSelectedSource
- show
- updateFeatures_
- updateQueryResult_

## Properties

### animate

animate: number

- Defined in src/query/windowComponent.js:244

### collapsed

collapsed: boolean

- Defined in src/query/windowComponent.js:178

Is the window currently collapsed? When used for Desktop, it is shown non-collapsed.

### currentResult

currentResult: number

- Defined in src/query/windowComponent.js:234

### desktop

desktop: boolean

- Defined in src/query/windowComponent.js:170

### draggableContainment

draggableContainment: string | Element

- Defined in src/query/windowComponent.js:165

### element_

element_: JQuery<HTMLElement>

- Defined in src/query/windowComponent.js:254

constant

  {JQuery}

### feature

feature: Feature<Geometry>

- Defined in src/query/windowComponent.js:229

### features_

features_: Collection<Feature<Geometry>>

- Defined in src/query/windowComponent.js:214

### filename_

filename_: any

- Defined in src/query/windowComponent.js:204

Filename

### highlightFeatures_

highlightFeatures_: Collection<Feature<Geometry>>

- Defined in src/query/windowComponent.js:219

### isLoading

isLoading: boolean

- Defined in src/query/windowComponent.js:259

### isNext

isNext: boolean

- Defined in src/query/windowComponent.js:239

### ngeoCsvDownload_

ngeoCsvDownload_: DownloadCsvService

- Defined in src/query/windowComponent.js:197

### ngeoMapQuerent_

ngeoMapQuerent_: MapQuerent

- Defined in src/query/windowComponent.js:192

### ngeoQueryResult

ngeoQueryResult: QueryResult

- Defined in src/query/windowComponent.js:183

### open

open: boolean

- Defined in src/query/windowComponent.js:249

### options

options: any

- Defined in src/query/windowComponent.js:160

### selectedSource

selectedSource: QueryResultSource

- Defined in src/query/windowComponent.js:209

### source

source: QueryResultSource

- Defined in src/query/windowComponent.js:224

## Methods

### $onInit

- $onInit(): void

- - Defined in src/query/windowComponent.js:279

  Initialise the controller.

  #### Returns void

### animate_

- animate_(isNext: boolean): void

- - Defined in src/query/windowComponent.js:465

  Special function that's used to set the "animation" value after to set the "isNext" value. The aim is to wait on Angular to add a class (corresponding to "isNext") on the DOM before to set the "animation" value and do the animation.

  #### Parameters

  - ##### isNext: boolean

    used to indicate if the user wants to see the next or the previous result.

  #### Returns void

### clear

- clear(): void

- - Defined in src/query/windowComponent.js:520

  Remove the current selected feature and source and remove all features from the map.

  #### Returns void

### close

- close(): void

- - Defined in src/query/windowComponent.js:510

  Remove the current selected feature and source and remove all features from the map.

  #### Returns void

### collectFeatures_

- collectFeatures_(): void

- - Defined in src/query/windowComponent.js:473

  Collect all features in the queryResult object.

  #### Returns void

### downloadCSV

- downloadCSV(source: QueryResultSource): void

- - Defined in src/query/windowComponent.js:547

  Download a CSV with features of the given source.

  #### Parameters

  - ##### source: QueryResultSource

    The source to export as csv.

  #### Returns void

### getCSVData_

- getCSVData_(source: QueryResultSource): Object[]

- - Defined in src/query/windowComponent.js:559

  #### Parameters

  - ##### source: QueryResultSource

    The source to export as csv.

  #### Returns Object[]

  data.

### getCSVHeaderDefinition_

- getCSVHeaderDefinition_(data: Object[]): any[]

- - Defined in src/query/windowComponent.js:573

  #### Parameters

  - ##### data: Object[]

    where keys with at least one defined value will be used as csv column header.

  #### Returns any[]

  columns definitions for the CSV.

### getFeatureValues

- getFeatureValues(): Object

- - Defined in src/query/windowComponent.js:449

  Delete the unwanted ol3 properties from the current feature then return the properties.

  #### Returns Object

  Filtered properties of the current feature or null.

### getResultLength

- getResultLength(): number

- - Defined in src/query/windowComponent.js:421

  Get the total count of features in the result of the query. If a source has been select, only the number of features of that source are returned.

  #### Returns number

  Total number of features.

### highlightCurrentFeature_

- highlightCurrentFeature_(opt_lastFeature: Feature<Geometry>): void

- - Defined in src/query/windowComponent.js:494

  Highlight the current displayed feature.

  #### Parameters

  - ##### opt_lastFeature: Feature<Geometry>

  #### Returns void

### isFirst

- isFirst(): boolean

- - Defined in src/query/windowComponent.js:432

  #### Returns boolean

  If the first result is active.

### isLast

- isLast(): boolean

- - Defined in src/query/windowComponent.js:439

  #### Returns boolean

  If the last result is active.

### next

- next(): void

- - Defined in src/query/windowComponent.js:383

  Select the logical next source and feature then highlight this feature on the map.

  #### Returns void

### previous

- previous(): void

- - Defined in src/query/windowComponent.js:368

  Select the logical previous source and feature then highlight this feature on the map.

  #### Returns void

### setCurrentResult_

- setCurrentResult_(position: number, setHighlight: boolean): boolean

- - Defined in src/query/windowComponent.js:334

  Select a source and a feature depending of the given position.

  #### Parameters

  - ##### position: number

    The index of the feature. If the position is bigger than the length of the first source, get it in the next source. Etc.

  - ##### setHighlight: boolean

    True to set the highlight automatically.

  #### Returns boolean

  True if result has changed. False else.

### setSelectedSource

- setSelectedSource(source: QueryResultSource): void

- - Defined in src/query/windowComponent.js:532

  #### Parameters

  - ##### source: QueryResultSource

    The source to select.

  #### Returns void

### show

- show(): void

- - Defined in src/query/windowComponent.js:312

  Remove current displayed results then get new results from the ngeoQueryResult service. Display all results on the map and display, highlight the first feature.

  #### Returns void

### updateFeatures_

- updateFeatures_(): void

- - Defined in src/query/windowComponent.js:317

  #### Returns void

### updateQueryResult_

- updateQueryResult_(queryResult: QueryResult): void

- - Defined in src/query/windowComponent.js:400

  Remove features without properties from the query result.

  #### Parameters

  - ##### queryResult: QueryResult

    ngeo query result.

  #### Returns void

Generated using TypeDoc